Get Users (GQL)

Note: All the User Management API's have the endpoint: /graphql

Returns a paginated list of users. Use where to filter and page to paginate.

Requires read permission on the APPUSER resource.

Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
where.id.EQFilter by user idNoLong12
where.usernameFilter by username (EQ or LIKE)NoString{LIKE: "john"}
where.roles.id.EQFilter by assigned role idNoLong5
where.ORMatch any of username, email, firstName, lastName (LIKE) or mobile (EQ)NoObject{firstName: {LIKE: "John"}}
where.ANDMatch all of selfServiceUser, enabled, deleted (EQ) or authorizations.client.id (EQ)NoObject{selfServiceUser: {EQ: true}}
page.limitMaximum number of resultsNoLong10
page.startOffset to start fromNoLong0
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json